package Bencher::ScenarioR::AlgorithmDiff::Diff;

our $VERSION = 0.001; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "insert+delete 150x1",
        errors      => 3.8e-06,
        participant => "Algorithm::Diff::sdiff",
        rate        => 123,
        samples     => 20,
        time        => 8.11,
        vs_slowest  => 1,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 1.1e-06,
        participant => "Algorithm::Diff::diff",
        rate        => 124,
        samples     => 21,
        time        => 8.08,
        vs_slowest  => 1,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 1.1e-06,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 125,
        samples     => 22,
        time        => 8.01,
        vs_slowest  => 1.01,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 6.4e-07,
        participant => "Algorithm::Diff::LCS",
        rate        => 125.5,
        samples     => 20,
        time        => 7.97,
        vs_slowest  => 1.018,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 8.5e-07,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 126,
        samples     => 20,
        time        => 7.96,
        vs_slowest  => 1.02,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 5.9e-07,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 126.1,
        samples     => 20,
        time        => 7.929,
        vs_slowest  => 1.023,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 2.1e-07,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 4010,
        samples     => 20,
        time        => 0.25,
        vs_slowest  => 32.5,
      },
      {
        dataset     => "insert+delete 150x1",
        errors      => 2.1e-07,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 5000,
        samples     => 20,
        time        => 0.2,
        vs_slowest  => 41,
      },
      {
        dataset     => "delete 10x1",
        errors      => 6.8e-07,
        participant => "Algorithm::Diff::diff",
        rate        => 30000,
        samples     => 34,
        time        => 0.04,
        vs_slowest  => 200,
      },
      {
        dataset     => "insert 10x1",
        errors      => 5.7e-12,
        participant => "Algorithm::Diff::sdiff",
        rate        => 25437,
        samples     => 20,
        time        => 0.0393128,
        vs_slowest  => 206.364,
      },
      {
        dataset     => "delete 10x1",
        errors      => 4e-08,
        participant => "Algorithm::Diff::sdiff",
        rate        => 27000,
        samples     => 20,
        time        => 0.037,
        vs_slowest  => 220,
      },
      {
        dataset     => "insert 10x1",
        errors      => 5e-08,
        participant => "Algorithm::Diff::diff",
        rate        => 27000,
        samples     => 23,
        time        => 0.037,
        vs_slowest  => 220,
      },
      {
        dataset     => "insert 10x1",
        errors      => 0,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 31189.7,
        samples     => 20,
        time        => 0.0320619,
        vs_slowest  => 253.033,
      },
      {
        dataset     => "delete 10x1",
        errors      => 5e-08,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 34000,
        samples     => 23,
        time        => 0.029,
        vs_slowest  => 280,
      },
      {
        dataset     => "insert 10x1",
        errors      => 4.7e-07,
        participant => "Algorithm::Diff::LCS",
        rate        => 30000,
        samples     => 28,
        time        => 0.03,
        vs_slowest  => 300,
      },
      {
        dataset     => "insert 10x1",
        errors      => 0,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 39056.8,
        samples     => 20,
        time        => 0.0256037,
        vs_slowest  => 316.857,
      },
      {
        dataset     => "delete 10x1",
        errors      => 6.4e-09,
        participant => "Algorithm::Diff::LCS",
        rate        => 42700,
        samples     => 22,
        time        => 0.0234,
        vs_slowest  => 347,
      },
      {
        dataset     => "delete 10x1",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 43576.1,
        samples     => 20,
        time        => 0.0229483,
        vs_slowest  => 353.522,
      },
      {
        dataset     => "insert 10x1",
        errors      => 2.4e-08,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 45000,
        samples     => 25,
        time        => 0.022,
        vs_slowest  => 360,
      },
      {
        dataset     => "insert 10x1",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 45508.8,
        samples     => 20,
        time        => 0.0219738,
        vs_slowest  => 369.2,
      },
      {
        dataset     => "delete 10x1",
        errors      => 2.5e-08,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 51000,
        samples     => 23,
        time        => 0.02,
        vs_slowest  => 410,
      },
      {
        dataset     => "delete 10x1",
        errors      => 6.5e-09,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 53400,
        samples     => 21,
        time        => 0.0187,
        vs_slowest  => 433,
      },
      {
        dataset     => "insert 10x1",
        errors      => 2.7e-08,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 64000,
        samples     => 20,
        time        => 0.016,
        vs_slowest  => 520,
      },
      {
        dataset     => "insert 1x10",
        errors      => 5.8e-09,
        participant => "Algorithm::Diff::sdiff",
        rate        => 65000,
        samples     => 26,
        time        => 0.0154,
        vs_slowest  => 527,
      },
      {
        dataset     => "insert 1x10",
        errors      => 6.7e-09,
        participant => "Algorithm::Diff::diff",
        rate        => 68600,
        samples     => 20,
        time        => 0.0146,
        vs_slowest  => 556,
      },
      {
        dataset     => "delete 10x1",
        errors      => 2.7e-08,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 78000,
        samples     => 20,
        time        => 0.013,
        vs_slowest  => 630,
      },
      {
        dataset     => "delete 1x10",
        errors      => 9.3e-09,
        participant => "Algorithm::Diff::sdiff",
        rate        => 83200,
        samples     => 23,
        time        => 0.012,
        vs_slowest  => 675,
      },
      {
        dataset     => "delete 1x10",
        errors      => 1.3e-08,
        participant => "Algorithm::Diff::diff",
        rate        => 87000,
        samples     => 20,
        time        => 0.011,
        vs_slowest  => 710,
      },
      {
        dataset     => "insert 1x10",
        errors      => 1e-08,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 120000,
        samples     => 20,
        time        => 0.0085,
        vs_slowest  => 960,
      },
      {
        dataset     => "insert 1x10",
        errors      => 2.6e-09,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 133000,
        samples     => 32,
        time        => 0.00754,
        vs_slowest  => 1080,
      },
      {
        dataset     => "insert 1x10",
        errors      => 1.2e-08,
        participant => "Algorithm::Diff::LCS",
        rate        => 140000,
        samples     => 23,
        time        => 0.0072,
        vs_slowest  => 1100,
      },
      {
        dataset     => "insert 1x10",
        errors      => 1.3e-08,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 140000,
        samples     => 20,
        time        => 0.007,
        vs_slowest  => 1200,
      },
      {
        dataset     => "insert 1x1",
        errors      => 1.2e-08,
        participant => "Algorithm::Diff::sdiff",
        rate        => 140000,
        samples     => 25,
        time        => 0.007,
        vs_slowest  => 1200,
      },
      {
        dataset     => "insert 1x10",
        errors      => 9.8e-09,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 150000,
        samples     => 21,
        time        => 0.0069,
        vs_slowest  => 1200,
      },
      {
        dataset     => "insert 1x1",
        errors      => 2.8e-09,
        participant => "Algorithm::Diff::diff",
        rate        => 149000,
        samples     => 28,
        time        => 0.0067,
        vs_slowest  => 1210,
      },
      {
        dataset     => "delete 1x1",
        errors      => 8.9e-09,
        participant => "Algorithm::Diff::sdiff",
        rate        => 150000,
        samples     => 25,
        time        => 0.0066,
        vs_slowest  => 1200,
      },
      {
        dataset     => "delete 1x1",
        errors      => 2.8e-09,
        participant => "Algorithm::Diff::diff",
        rate        => 154000,
        samples     => 28,
        time        => 0.00649,
        vs_slowest  => 1250,
      },
      {
        dataset     => "insert 1x10",
        errors      => 1.7e-09,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 174000,
        samples     => 20,
        time        => 0.00574,
        vs_slowest  => 1410,
      },
      {
        dataset     => "empty",
        errors      => 1.3e-09,
        participant => "Algorithm::Diff::sdiff",
        rate        => 176000,
        samples     => 31,
        time        => 0.00569,
        vs_slowest  => 1430,
      },
      {
        dataset     => "delete 1x10",
        errors      => 1.5e-09,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 187000,
        samples     => 26,
        time        => 0.00534,
        vs_slowest  => 1520,
      },
      {
        dataset     => "empty",
        errors      => 1.3e-09,
        participant => "Algorithm::Diff::diff",
        rate        => 192000,
        samples     => 31,
        time        => 0.00522,
        vs_slowest  => 1550,
      },
      {
        dataset     => "delete 1x10",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 227580,
        samples     => 20,
        time        => 0.0043941,
        vs_slowest  => 1846.3,
      },
      {
        dataset     => "delete 1x10",
        errors      => 3.9e-09,
        participant => "Algorithm::Diff::LCS",
        rate        => 239000,
        samples     => 33,
        time        => 0.00419,
        vs_slowest  => 1940,
      },
      {
        dataset     => "delete 1x10",
        errors      => 1.5e-09,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 239000,
        samples     => 24,
        time        => 0.00418,
        vs_slowest  => 1940,
      },
      {
        dataset     => "delete 1x10",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 252990,
        samples     => 21,
        time        => 0.0039528,
        vs_slowest  => 2052.4,
      },
      {
        dataset     => "insert 1x1",
        errors      => 6.2e-09,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 250000,
        samples     => 23,
        time        => 0.0039,
        vs_slowest  => 2100,
      },
      {
        dataset     => "delete 1x1",
        errors      => 5.4e-09,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 280000,
        samples     => 31,
        time        => 0.0036,
        vs_slowest  => 2300,
      },
      {
        dataset     => "insert 1x1",
        errors      => 4e-09,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 280000,
        samples     => 31,
        time        => 0.0036,
        vs_slowest  => 2300,
      },
      {
        dataset     => "delete 1x10",
        errors      => 1.4e-09,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 306000,
        samples     => 27,
        time        => 0.00327,
        vs_slowest  => 2480,
      },
      {
        dataset     => "delete 1x1",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 306030,
        samples     => 20,
        time        => 0.0032676,
        vs_slowest  => 2482.8,
      },
      {
        dataset     => "empty",
        errors      => 7.5e-10,
        participant => "Algorithm::Diff::compact_diff",
        rate        => 326000,
        samples     => 25,
        time        => 0.00307,
        vs_slowest  => 2640,
      },
      {
        dataset     => "insert 1x1",
        errors      => 5.8e-12,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 340810,
        samples     => 20,
        time        => 0.0029342,
        vs_slowest  => 2764.9,
      },
      {
        dataset     => "empty",
        errors      => 2.4e-09,
        participant => "Algorithm::Diff::XS::compact_diff",
        rate        => 349000,
        samples     => 21,
        time        => 0.00287,
        vs_slowest  => 2830,
      },
      {
        dataset     => "insert 1x1",
        errors      => 3.1e-09,
        participant => "Algorithm::Diff::LCS",
        rate        => 370000,
        samples     => 23,
        time        => 0.0027,
        vs_slowest  => 3000,
      },
      {
        dataset     => "delete 1x1",
        errors      => 8.3e-10,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 380000,
        samples     => 20,
        time        => 0.00263,
        vs_slowest  => 3090,
      },
      {
        dataset     => "insert 1x1",
        errors      => 7e-10,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 397000,
        samples     => 28,
        time        => 0.00252,
        vs_slowest  => 3220,
      },
      {
        dataset     => "insert 1x1",
        errors      => 8.3e-10,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 404000,
        samples     => 20,
        time        => 0.00247,
        vs_slowest  => 3280,
      },
      {
        dataset     => "delete 1x1",
        errors      => 3.3e-09,
        participant => "Algorithm::Diff::LCS",
        rate        => 420000,
        samples     => 20,
        time        => 0.0024,
        vs_slowest  => 3400,
      },
      {
        dataset     => "empty",
        errors      => 2.4e-09,
        participant => "Algorithm::Diff::LCSidx",
        rate        => 430000,
        samples     => 21,
        time        => 0.0023,
        vs_slowest  => 3500,
      },
      {
        dataset     => "delete 1x1",
        errors      => 3.3e-09,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 440000,
        samples     => 20,
        time        => 0.0023,
        vs_slowest  => 3500,
      },
      {
        dataset     => "delete 1x1",
        errors      => 3.3e-09,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 460000,
        samples     => 20,
        time        => 0.0022,
        vs_slowest  => 3800,
      },
      {
        dataset     => "empty",
        errors      => 7.9e-10,
        participant => "Algorithm::Diff::LCS",
        rate        => 474000,
        samples     => 22,
        time        => 0.00211,
        vs_slowest  => 3840,
      },
      {
        dataset     => "empty",
        errors      => 2.4e-09,
        participant => "Algorithm::Diff::XS::LCSidx",
        rate        => 480000,
        samples     => 21,
        time        => 0.0021,
        vs_slowest  => 3900,
      },
      {
        dataset     => "empty",
        errors      => 3.3e-09,
        participant => "Algorithm::Diff::LCS_length",
        rate        => 530000,
        samples     => 20,
        time        => 0.0019,
        vs_slowest  => 4300,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "AlgorithmDiff::Diff",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 0,
                                              speed                        => 3893.664,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 1,
                                              speed                        => 3870.953,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 2,
                                              speed                        => 3895.125,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 3,
                                              speed                        => 3842.531,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 4,
                                              speed                        => 3898.976,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 5,
                                              speed                        => "3877.460",
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 6,
                                              speed                        => 3898.312,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 7,
                                              speed                        => 3866.968,
                                              stepping                     => 3,
                                            },
                                          ],
      "func.elapsed_time"              => 3.43856501579285,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__" => "1.040",
                                            "Algorithm::Diff" => 1.1903,
                                            "Algorithm::Diff::XS" => 1.1903,
                                            "Bencher::Scenario::AlgorithmDiff::Diff" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Devel::Platform::Info" => 0.16,
                                            "perl" => "v5.24.0",
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 7], "dataset", [0 .. 7]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "jessie",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.16.0-4-amd64",
                                            kname    => "Linux",
                                            kvers    => "3.16.0-4-amd64",
                                            osflag   => "linux",
                                            oslabel  => "Debian",
                                            osname   => "GNU/Linux",
                                            osvers   => 8.5,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.5 (jessie)\nRelease:\t8.5\nCodename:\tjessie",
                                                          "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u1 (2016-09-03) x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.16.0-4-amd64",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::AlgorithmDiff::Diff",
      "func.scenario_module_md5sum"    => "8bc66cb6847733b3c444debb7c0be2e1",
      "func.scenario_module_mtime"     => 1501313536,
      "func.scenario_module_sha1sum"   => "1b49ea8bbe5dea275231f558f10083e7fbb71c8f",
      "func.scenario_module_sha256sum" => "8afeb7f1dc7afe5ad9580f8c97e570d14867f864a356ea2543402c896a4c4e15",
      "func.time_end"                  => 1501313618.17419,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1501313614.73562,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark Algorithm::Diff's diff(), sdiff(), compact_diff(), LCS(), LCSidx(), LCS_length()

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

